libtirpc-1.3.2

Introduction to libtirpc

The libtirpc package contains libraries that support programs that use the Remote Procedure Call (RPC) API. It replaces the RPC, but not the NIS library entries that used to be in glibc.

[Note]

Note

Development versions of BLFS may not build or run some packages properly if dependencies have been updated since the most recent stable versions of the book.

Package Information

libtirpc Dependencies

Optional

MIT Kerberos V5-1.20 for the GSSAPI

User Notes: https://wiki.linuxfromscratch.org/blfs/wiki/libtirpc

Installation of libtirpc

[Note]

Note

If updating this package, you will also need to update any existing version of rpcbind-1.2.6

./configure --prefix=/usr                                   \
            --sysconfdir=/etc                               \
            --disable-static                                \
            --disable-gssapi                                &&
make

This package does not come with a test suite.

Now, as the root user:

make install

Command Explanations

--disable-static: This switch prevents installation of static versions of the libraries.

--disable-gssapi: This switch is needed if no GSSAPI is installed. Remove this switch if you have one installed (for example MIT Kerberos V5-1.20) and you wish to use it.

Contents

Installed Programs: None
Installed Libraries: libtirpc.so
Installed Directory: /usr/include/tirpc

Short Descriptions

libtirpc.so

provides the Remote Procedure Call (RPC) API functions required by other programs